Developer docs
Create Key
POST
/v1/auth/api-keys
const url = 'https://example.com/v1/auth/api-keys';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/api-keys \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
KeyIn
object
name
required
Name
string
Examplegenerated
{ "name": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Create Key V1 Auth Api Keys Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}